hack4glarus-2019-summer - Task #6746

Fix OpenBSDs libm
05/31/2019 08:28 PM - Moritz Buhl

Status: Closed Start date: 05/31/2019
Priority: Normal Due date: 06/02/2019
Assignee: Moritz Buhl % Done: 30%

Category: Estimated time: 90.00 hours

Target version:
PM Check date:

Description

FreeBSD has some msun tests that currently are not passing on OpenBSD.
https://svnweb.freebsd.org/base/head/lib/msun/tests/

Mostly the complex arithmetic functions are not working.
The FreeBSD tests seem to cover all the cases mentioned in Annex G of the C standard.
Especially test everything with i386 as FreeBSD doesn't support it anymore and it has different floating point sizes in FPU and CPU.

C1X Open-Standard:
http://www.open-std.org/jtc1/sc22/wg14/www/docs/n1570.pdf

History

#1 - 06/01/2019 10:45 AM - Moritz Buhl
- % Done changed from 0 to 30
- File cexp.diff added

- Status changed from New to In Progress

5/19 tests passing

The patch for cexp and cexpf is attached, cexpl is missing in FreeBSD?
#2 - 06/02/2019 11:51 AM - Moritz Buhl

- File fma.diff added

- File csqrt.diff added
- Estimated time changed from 30.00 h to 90.00 h

#3 - 06/02/2019 01:05 PM - Moritz Buhl
- File presentation.pdf added

#4 - 06/02/2019 08:43 PM - Nico Schottelius

- Status changed from In Progress to Resolved

Thanks everyone for participating! It was great seeing all of you!

#5 - 06/04/2019 09:53 AM - Nico Schottelius

- Status changed from Resolved to Closed

Files

cexp.diff 31.6 KB 06/01/2019 Moritz Buhl
fma.diff 42.9 KB 06/02/2019 Moritz Buhl
csqrt.diff 29.3 KB 06/02/2019 Moritz Buhl
presentation.pdf 44.7 KB 06/02/2019 Moritz Buhl
